Subject: Re: Strange error: Invalid option `-undef'
From: Andreas Bergstrøm <[email-masked]>
To: Mumit Khan <[email-masked]>
Cc: Cygwin mailing list <[email-masked]>
Date: Wed, 01 Mar 2000 18:45:58 +0100

Mumit Khan wrote:
> > void main(void)
>   ^^^^
>   int main (void)

Well, I have a C++ learners guide that specifies void main(void),
what is the difference?

> Means you have an older cpp somewhere and things are getting confused.
> Please post the output of the following:
> 
>  BASH.EXE-2.02$ g++ codepagechecker.cpp -o codepagechecker.exe -v

Output:
BASH.EXE-2.02$ g++ codepagechecker.cpp -o codepagechecker.exe  -v
Reading specs from E:\PROGRAMFILER\CYGNUS\DEV-C++\Lib\specs
gcc driver version egcs-2.91.57 19980901 (egcs-1.1 release) executing gcc versio
n 2.95.2
 cpp -lang-c++ -v -iprefix E:\PROGRAMFILER\CYGNUS\DEV-C++\Lib\i586-cygwin32\egcs
-2.91.57\ -undef -D__GNUC__=2 -D__GNUG__=2 -D__cplusplus -D__GNUC_MINOR__=95 -Di
386 -D_WIN32 -DWIN32 -D__WIN32__ -D__MINGW32__=0.2 -D__MSVCRT__ -DWINNT -D_X86_=
1 -D__STDC__=1 -D__stdcall=__attribute__((__stdcall__)) -D_stdcall=__attribute__
((__stdcall__)) -D__cdecl=__attribute__((__cdecl__)) -D__declspec(x)=__attribute
__((x)) -D__i386__ -D_WIN32 -D__WIN32__ -D__WIN32__ -D__MINGW32__=0.2 -D__MSVCRT
__ -D__WINNT__ -D_X86_=1 -D__STDC__=1 -D__stdcall=__attribute__((__stdcall__)) -
D___stdcall__=__attribute__((__stdcall__)) -D__cdecl=__attribute__((__cdecl__))
-D__declspec(x)=__attribute__((x)) -D__i386 -D__WIN32 -D__WINNT -D___stdcall=__a
ttribute__((__stdcall__)) -Asystem(winnt) -Acpu(i386) -Amachine(i386) -D__EXCEPT
IONS -remap -Acpu(i386) -Amachine(i386) -Di386 -D__i386 -D__i386__ codepagecheck
er.cpp C:\WINDOWS\TEMP\cckpX4ti.ii
GNU CPP version 2.95.2 19991024 (release) (80386, BSD syntax)
cpp: Invalid option `-undef'

> Upgrade to gcc-2.95.2 if you're not already running that. See
> http://www.xraylith.wisc.edu/~khan/software/gnu-win32/

Thanks,

Andreas Bergstrøm

-- 
HTTP://www.spambuster.dhs.org/
Fight Spam! Join EuroCAUCE! == http://www.euro.cauce.org/
Y2K bug? free software at: http://bcordero.home.sprynet.com/y2kwa.htm
Many seek good nights and lose good days. - Dutch Proverb

--
Want to unsubscribe from this list?
Send a message to [email-masked]